org.keycloak.models.entities

## Class ClientEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ClientEntity

- Direct Known Subclasses:
    MongoClientEntity

      public class ClientEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,String>` | `attributes`
    `protected String` | `baseUrl`
    `protected boolean` | `bearerOnly`
    `protected String` | `clientAuthenticatorType`
    `protected String` | `clientId`
    `protected String` | `clientTemplate`
    `protected boolean` | `consentRequired`
    `protected List<String>` | `defaultRoles`
    `protected String` | `description`
    `protected boolean` | `directAccessGrantsEnabled`
    `protected boolean` | `enabled`
    `protected boolean` | `frontchannelLogout`
    `protected boolean` | `fullScopeAllowed`
    `protected List<ClientIdentityProviderMappingEntity>` | `identityProviders`
    `protected boolean` | `implicitFlowEnabled`
    `protected String` | `managementUrl`
    `protected String` | `name`
    `protected int` | `nodeReRegistrationTimeout`
    `protected int` | `notBefore`
    `protected String` | `protocol`
    `protected List<ProtocolMapperEntity>` | `protocolMappers`
    `protected boolean` | `publicClient`
    `protected String` | `realmId`
    `protected List<String>` | `redirectUris`
    `protected Map<String,Integer>` | `registeredNodes`
    `protected String` | `registrationToken`
    `protected String` | `rootUrl`
    `protected List<String>` | `scopeIds`
    `protected String` | `secret`
    `protected boolean` | `serviceAccountsEnabled`
    `protected boolean` | `standardFlowEnabled`
    `protected boolean` | `surrogateAuthRequired`
    `protected boolean` | `useTemplateConfig`
    `protected boolean` | `useTemplateMappers`
    `protected boolean` | `useTemplateScope`
    `protected List<String>` | `webOrigins`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()`
    `String` | `getClientTemplate()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getDescription()`
    `List<ClientIdentityProviderMappingEntity>` | `getIdentityProviders()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `int` | `getNotBefore()`
    `String` | `getProtocol()`
    `List<ProtocolMapperEntity>` | `getProtocolMappers()`
    `String` | `getRealmId()`
    `List<String>` | `getRedirectUris()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `String` | `getRegistrationToken()`
    `String` | `getRootUrl()`
    `List<String>` | `getScopeIds()`
    `String` | `getSecret()`
    `List<String>` | `getWebOrigins()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `boolean` | `isSurrogateAuthRequired()`
    `boolean` | `isUseTemplateConfig()`
    `boolean` | `isUseTemplateMappers()`
    `boolean` | `isUseTemplateScope()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientTemplate(String clientTemplate)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDefaultRoles(List<String> defaultRoles)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFrontchannelLogout(boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(boolean fullScopeAllowed)`
    `void` | `setIdentityProviders(List<ClientIdentityProviderMappingEntity> identityProviders)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setManagementUrl(String managementUrl)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(List<ProtocolMapperEntity> protocolMappers)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRedirectUris(List<String> redirectUris)`
    `void` | `setRegisteredNodes(Map<String,Integer> registeredNodes)`
    `void` | `setRegistrationToken(String registrationToken)`
    `void` | `setRootUrl(String rootUrl)`
    `void` | `setScopeIds(List<String> scopeIds)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`
    `void` | `setUseTemplateConfig(boolean useTemplateConfig)`
    `void` | `setUseTemplateMappers(boolean useTemplateMappers)`
    `void` | `setUseTemplateScope(boolean useTemplateScope)`
    `void` | `setWebOrigins(List<String> webOrigins)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clientId

          protected String clientId

    - #### name

          protected String name

    - #### description

          protected String description

    - #### realmId

          protected String realmId

    - #### enabled

          protected boolean enabled

    - #### clientAuthenticatorType

          protected String clientAuthenticatorType

    - #### secret

          protected String secret

    - #### registrationToken

          protected String registrationToken

    - #### protocol

          protected String protocol

    - #### notBefore

          protected int notBefore

    - #### publicClient

          protected boolean publicClient

    - #### fullScopeAllowed

          protected boolean fullScopeAllowed

    - #### frontchannelLogout

          protected boolean frontchannelLogout

    - #### surrogateAuthRequired

          protected boolean surrogateAuthRequired

    - #### managementUrl

          protected String managementUrl

    - #### rootUrl

          protected String rootUrl

    - #### baseUrl

          protected String baseUrl

    - #### bearerOnly

          protected boolean bearerOnly

    - #### consentRequired

          protected boolean consentRequired

    - #### standardFlowEnabled

          protected boolean standardFlowEnabled

    - #### implicitFlowEnabled

          protected boolean implicitFlowEnabled

    - #### directAccessGrantsEnabled

          protected boolean directAccessGrantsEnabled

    - #### serviceAccountsEnabled

          protected boolean serviceAccountsEnabled

    - #### nodeReRegistrationTimeout

          protected int nodeReRegistrationTimeout

    - #### defaultRoles

          protected List<String> defaultRoles

    - #### registeredNodes

          protected Map<String,Integer> registeredNodes

    - #### attributes

          protected Map<String,String> attributes

    - #### webOrigins

          protected List<String> webOrigins

    - #### redirectUris

          protected List<String> redirectUris

    - #### scopeIds

          protected List<String> scopeIds

    - #### identityProviders

          protected List<ClientIdentityProviderMappingEntity> identityProviders

    - #### protocolMappers

          protected List<ProtocolMapperEntity> protocolMappers

    - #### clientTemplate

          protected String clientTemplate

    - #### useTemplateConfig

          protected boolean useTemplateConfig

    - #### useTemplateScope

          protected boolean useTemplateScope

    - #### useTemplateMappers

          protected boolean useTemplateMappers

  - ### Constructor Detail

    - #### ClientEntity

          public ClientEntity()

  - ### Method Detail

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getRegistrationToken

          public String getRegistrationToken()

    - #### setRegistrationToken

          public void setRegistrationToken(String registrationToken)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getWebOrigins

          public List<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(List<String> webOrigins)

    - #### getRedirectUris

          public List<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(List<String> redirectUris)

    - #### getScopeIds

          public List<String> getScopeIds()

    - #### setScopeIds

          public void setScopeIds(List<String> scopeIds)

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean fullScopeAllowed)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean frontchannelLogout)

    - #### getIdentityProviders

          public List<ClientIdentityProviderMappingEntity> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(List<ClientIdentityProviderMappingEntity> identityProviders)

    - #### getProtocolMappers

          public List<ProtocolMapperEntity> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(List<ProtocolMapperEntity> protocolMappers)

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getManagementUrl

          public String getManagementUrl()

    - #### setManagementUrl

          public void setManagementUrl(String managementUrl)

    - #### getRootUrl

          public String getRootUrl()

    - #### setRootUrl

          public void setRootUrl(String rootUrl)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(List<String> defaultRoles)

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)

    - #### getRegisteredNodes

          public Map<String,Integer> getRegisteredNodes()

    - #### setRegisteredNodes

          public void setRegisteredNodes(Map<String,Integer> registeredNodes)

    - #### getClientTemplate

          public String getClientTemplate()

    - #### setClientTemplate

          public void setClientTemplate(String clientTemplate)

    - #### isUseTemplateConfig

          public boolean isUseTemplateConfig()

    - #### setUseTemplateConfig

          public void setUseTemplateConfig(boolean useTemplateConfig)

    - #### isUseTemplateScope

          public boolean isUseTemplateScope()

    - #### setUseTemplateScope

          public void setUseTemplateScope(boolean useTemplateScope)

    - #### isUseTemplateMappers

          public boolean isUseTemplateMappers()

    - #### setUseTemplateMappers

          public void setUseTemplateMappers(boolean useTemplateMappers)

Copyright © 2016 JBoss by Red Hat. All rights reserved.